{config, lib, ...}: {

options = with lib; with types; {
  cascade.bridge-interface = mkOption {
    type = str;
    description = "interface on which to create primary bridge (br0)";
  };
};   

config = with lib; {
  networking = {
    useNetworkd = mkForce true;

    bridges.br0.interfaces = [config.cascade.bridge-interface];
    interfaces.br0.useDHCP = mkImageMediaOverride true;
  };
  #systemd.network.links."05-br0".matchConfig.Name = "br0";
  #systemd.network.links."05-br0".linkConfig.MACAddressPolicy = "none";
};

}
