{pkgs, ...}: {
  config = {
    users.users = rec {
      james = {
        createHome = true;
	description = "James Andariese";
	extraGroups = [ "wheel" ];
	group = "users";
	home = "/home/james";
	shell = pkgs.bashInteractive;
	uid = 1982;
	isNormalUser = true;
	openssh.authorizedKeys.keys = [
	  "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBDEj6S+ISygrn6D7a5GBsrYaUMWjcReyMmrlgRdDUGx james@chimecho"
	  "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIBW+t2we/HTgV9ykgcQWiHqiA+vEehVhwOcbsLr4jJvL james@Jamess-MBP.cascade.strudelline.net"
	];
      };
      root.shell = james.shell;
      root.openssh.authorizedKeys.keys = james.openssh.authorizedKeys.keys;
    };
    security.sudo.wheelNeedsPassword = false;
    nix.settings.trusted-users = [ "root" "@wheel" ];
  };
}
