{}:
let
  myisoconfig = import ./custom-image-configuration.nix;

  copyChannel = true;
  system = "x86_64-linux";
  evalNixos = configuration: import <nixpkgs/nixos> {
    inherit system configuration;
  };
  resultOfEval = (evalNixos myisoconfig);
  lib = resultOfEval.pkgs.lib;
  pkgs = resultOfEval.pkgs;
  config = resultOfEval.config;
in
import <nixpkgs/nixos/lib/make-disk-image.nix> {
  inherit lib copyChannel pkgs config;
  diskSize = "20480";
  format = "raw";
  installBootLoader = true;
  partitionTableType = "hybrid";
}
